GET /insights/v1/tokens/transfers
Get token transfers

Path Parameters

ownerAddress string required path
Example: "vitalik.eth"
contract_address string required path
Example: "vitalik.eth"

Query Parameters

chain number[] optional query
Use chain_id instead
Example: [20,56,1]
chain_id number[] optional query
The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., `?chain_id=20&chain_id=56`. Optional, because a single chain can as well be specified as a subdomain
Example: [20,56,1]
limit integer optional query
Example: 20
page integer | null optional query
Example: 0
metadata string optional query
Example: "false"
include_owners string optional query
Example: "false"
block_number_from unknown optional query
Example: "1000000"
block_number_to unknown optional query
Example: "1000000"
block_timestamp_from integer optional query
Example: 1749768884
block_timestamp_to integer optional query
Example: 1749768884
sort_order string optional query
Example: "desc"
transfer_type string optional query
Example: "mint"
token_types string[] optional query

Responses

200 Success
application/json
data object[]
Array of:
block_number string REQUIRED
block_hash string
block_timestamp string REQUIRED
transaction_hash string REQUIRED
from_address string REQUIRED
to_address string REQUIRED
log_index number REQUIRED
contract_address string REQUIRED
transfer_type string REQUIRED
Enum: mint, sale, transfer
token_type string REQUIRED
Enum: erc20
amount string REQUIRED
chain_id number REQUIRED
token_metadata object
name string
symbol string
decimals number
price_data object
price_usd number
The price of the token in USD
usd_value number
The value of the token balance in USD
volume_24h_usd number
The volume of the token in USD
market_cap_usd number
The market cap of the token in USD
circulating_supply number
The circulating supply of the token
total_supply number
The total supply of the token
percent_change_24h number
The percentage change of the token in the last 24 hours
price_timestamp string
The timestamp of the latest price update
price_data object
price_usd number
The price of the token in USD
usd_value number
The value of the token balance in USD
volume_24h_usd number
The volume of the token in USD
market_cap_usd number
The market cap of the token in USD
circulating_supply number
The circulating supply of the token
total_supply number
The total supply of the token
percent_change_24h number
The percentage change of the token in the last 24 hours
price_timestamp string
The timestamp of the latest price update
aggregations unknown | null
meta object REQUIRED
chain_id number REQUIRED
address string
signature string
page number
limit number
total_items number
total_pages number
404 Not found
500 Internal server error
curl -X GET 'https://data-api.b3.fun//insights/v1/tokens/transfers'
const response = await fetch('https://data-api.b3.fun//insights/v1/tokens/transfers', {  method: 'GET'});const data = await response.json();console.log(data);
import requestsresponse = requests.get('https://data-api.b3.fun//insights/v1/tokens/transfers')print(response.json())
200 Response
{  "data": [    {      "block_number": "<string>",      "block_hash": "<string>",      "block_timestamp": "<string>",      "transaction_hash": "<string>",      "from_address": "<string>",      "to_address": "<string>",      "log_index": 123,      "contract_address": "<string>",      "transfer_type": "mint",      "token_type": "erc20",      "amount": "<string>",      "chain_id": 123,      "token_metadata": {        "name": "<string>",        "symbol": "<string>",        "decimals": 123,        "price_data": {          "price_usd": 123,          "usd_value": 123,          "volume_24h_usd": 123,          "market_cap_usd": 123,          "circulating_supply": 123,          "total_supply": 123,          "percent_change_24h": 123,          "price_timestamp": "<string>"        }      },      "price_data": {        "price_usd": 123,        "usd_value": 123,        "volume_24h_usd": 123,        "market_cap_usd": 123,        "circulating_supply": 123,        "total_supply": 123,        "percent_change_24h": 123,        "price_timestamp": "<string>"      }    }  ],  "aggregations": "<unknown>",  "meta": {    "chain_id": 123,    "address": "<string>",    "signature": "<string>",    "page": 123,    "limit": 123,    "total_items": 123,    "total_pages": 123  }}
Ask a question... ⌘I